星期日, 11月 12, 2017

讓套件停留在指定版本,避免升級

公司 gitlab 版本有點舊,搭配的 gitlab runner 得避免使用太新的版本,要不然會無法作用。請 google 幫忙了一下,在 StackOverflow 上找到解答:updates - How to prevent updating of a specific package? - Ask Ubuntu
所以我先使用
sudo apt-get install package_name==the_version
再使用
sudo apt-mark hold package_name
告知 apt 以後不要升級此套件即可。

沒有留言:

您或許對這些文章有興趣

Related Posts Plugin for WordPress, Blogger...